* { margin: 0; padding: 0;}

/* -------------------------

Colors

Light Pink: #f389b8;
Darker Pink: #af527c;

--------------------------- */

/* -----------------------------------
	Typography
--------------------------------------------------------------------------------------------- */

.buttonNew {
 background-image: linear-gradient(90deg,#4a71b7,#144ca1);
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.4rem;
    border: 0;
    border-radius: 40px;
    width: 100%;
    height: 70px;
    line-height: 50px;
    padding: 0;
 font-family:'Montserrat', Arial, Helvetica, sans-serif;
    color: #FFF;
    overflow: hidden;

 }

 .button.next:active,
 .button.yes:active,
 .button.no:active {
    transition: all .2s ease-in-out;
    transform: scale(1.02);
    background-image: linear-gradient(90deg, #000, #000);
 }

h1, h2, h3, h4, h5, h6 {
    font-family:'Montserrat', Arial, Helvetica, sans-serif;
    font-weight: 700;
}

body {
    font-family: "Raleway", Arial, Helvetica, sans-serif;
    line-height: 1.4;
    background: #000;
}

/* -----------------------------------
	Global
--------------------------------------------------------------------------------------------- */

html {
    scroll-behavior: smooth;
}

/* -----------------------------------
	Background
--------------------------------------------------------------------------------------------- */

@keyframes scroll {
    from {
        margin-left: -100%;
    }
    to {
        margin-left: 0;
    }
}

.background {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 0;
    overflow: hidden;
    background: #000;
    box-sizing: border-box;
    padding: 4px;
}

body.home .background {
    display: block;
}

.scroll-wrapper {
    position: absolute;
    margin-left: -100%;
    width: 200%;
    height: 100%;
    animation: scroll 15s linear infinite;
}

.gallery {
    position: relative;
    float: left;
    width: 50%;
    height: 100%;
}

.background::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    background: linear-gradient(to bottom,rgba(0, 0, 0, 0.3) 50%,rgba(0, 0, 0, 1) 100%);
}

.background .girl {
    position: relative;
    float: left;
    width: calc( 33.33% - 8px );
    height: calc( 33.33% - 8px );
    overflow: hidden;
    margin: 4px;
    padding: 4px;
    box-sizing: border-box;
    border-radius: 8px;
}

.background .girl img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    min-width: 100%;
    min-height: 100%;
    zoom: 0.7;
}

@supports not (-ms-high-contrast: none) {
    /* Non-IE styles here */

    .background .girl img {
        zoom: 0.5;
    }

 }

/* -----------------------------------
	Step Toggler
--------------------------------------------------------------------------------------------- */

.step [class^=stepM] {
    display: none;
}

.ds8sm20 .stepM20,
.ds8sm21 .stepM21,
.ds8sm22 .stepM22,
.ds8sm23 .stepM23,
.ds8sm24 .stepM24,
.ds8sm25 .stepM25,
.ds8sm26 .stepM26,
.ds8sm27 .stepM27,
.ds8sm28 .stepM28,
.ds8sm29 .stepM29,
.ds8sm30 .stepM30,
.ds8sm31 .stepM31,
.ds8sm32 .stepM32,
.ds8sm33 .stepM33,
.ds8sm34 .stepM34,
.ds8sm35 .stepM35,
.ds8sm36 .stepM36,
.ds8sm37 .stepM37,
.ds8sm38 .stepM38,
.ds8sm39 .stepM39,
.ds8sm40 .stepM40,
.ds8sm42 .stepM31 {
    display: block;
}

/* -----------------------------------
	Steps
--------------------------------------------------------------------------------------------- */

@keyframes stepShow {

    0% {
        opacity: 0;
        margin-top: -200px;
    }

    50% {
        margin-top: 40px;
    }

    100% {
        opacity: 1;
        margin-top: 0;
    }
}

@keyframes stepHide {

    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.container {
    position: relative;
    max-width: 620px;
    margin: 20px auto;
    box-sizing: border-box;
    z-index: 100;
}

body.profile .container {
    margin: 15px auto;
}

.step {
    position: absolute;
    display: none;
    width: calc( 100% - 60px );
    margin: 0 30px;
    text-align: center;
    box-sizing: border-box;
}

.step-background {
    position: relative;
    display: block;
    width: 100%;
    background: #FFF;
    border-radius: 30px 30px 20px 20px;
    box-sizing: border-box;
    margin-bottom: 20px;
}

body.profile .step {
    position: relative;
    width: calc( 100% - 20px );
    margin: 0 10px;
}

.step.show {
    display: block;
    animation: stepShow 0.5s ease forwards;
    visibility: visible;
}

.step.hide {
    animation: stepHide 0.5s ease forwards;
    visibility: hidden;
}

.heading {
    background-image: linear-gradient(-90deg, #14100f, #181211);
    padding: 5%;
    border-radius: 20px 20px 0 0;
    position: relative;
}

.heading h1 {
    font-size: 0.9rem;
    line-height: 1.4;
    color: #FFF;
}

.content {
    padding: 5%;
}

.content.more-padding {
    padding-top: 10%;
    padding-bottom: 10%;
}

.content img {
    display: block;
    width: 100%;
}

.content h2 {
    font-size: 1.5rem;
    line-height: 1.5rem;
    color: #f00;
    text-transform: uppercase;
    margin: 0 0 10px;
}

.content h2.stepM11 {
    text-transform: none;
    font-size: 1.2rem;
    line-height: 1.2rem;
    margin: 10px 0 10px;
    color: #af527c;
}

h3.stepM11 {
    font-size: 1.2rem;
    line-height: 1.5rem;
    font-weight: 400;
    margin-bottom: 4%;
}

.content p {
    margin-bottom: 15px;
    font-size: 0.7rem;
    line-height: 1.5;
    font-weight: 400;
    color: #444;
}

strong {
    color: #af527c;
}

.content p:last-of-type,
.content p.stepM20,
.content p.stepM30 {
    margin-bottom: 0;
}

/* -----------------------------------
	Slider
--------------------------------------------------------------------------------------------- */

@keyframes fade {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.slider {
    position: relative;
    padding: 5% 5% 0;
}

.slider-padding {
    position: relative;
    width: 100%;
}

.slider img {
    display: block;
    width: 100%;
}

.slider .slide {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 20;
}

.slider .slide.active {
    animation: fade 0.5s ease forwards;
}

.slider .slide.active,
.slider .slide.first {
    display: block;
}

.slider .placeholder {
    display: block;
    background: #000;
    position: relative;
    z-index: 10;
}

.slider .placeholder img {
    visibility: hidden;
}

/* -----------------------------------
	Buttons
--------------------------------------------------------------------------------------------- */

.button-wrapper {
    padding: 0 5% 5%;
}

/*---------- Next button ----------*/

button {
    position: relative;
    cursor: pointer;
    transition: all .2s ease;
}

button:hover,
button.tap {
    transform: scale(1.02);
}

/* Global button style */
button.btn {
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.2rem;
    border: 0;
    border-radius: 40px;
    width: 100%;
    height: 50px;
    line-height: 50px;
    padding: 0;
}

/* Next, continue, yes */
button.next,
button.yes {
    background-image: linear-gradient(90deg, #f389b8, #dd6fa1);
    font-family:'Montserrat', Arial, Helvetica, sans-serif;
    color: #FFF;
    width: 0;
    overflow: hidden;
    opacity: 0;
}

body.profile button.next,
body.profile button.yes {
    width: 100%;
    opacity: 1;
}

button.next:active,
button.yes:active,
button.no:active {
    transition: all .2s ease-in-out;
    transform: scale(1.02);
    background-image: linear-gradient(90deg, #000, #000);
}

button.next:focus,
button.yes:focus,
button.no:focus {
    outline: none;
}

@keyframes arrow {
    0% {
        margin-left: 10px;
    }
    15% {
        margin-left: 24px;
    }
    30% {
        margin-left: 10px;
    }
    45% {
        margin-left: 24px;
    }
    60% {
        margin-left: 24px;
    }
    100% {
        margin-left: 10px;
    }
}

button.next i,
button.yes i {
    position: absolute;
    height: 100%;
    line-height: 50px;
    margin-left: 10px;
    animation: arrow 5s ease-in-out infinite;
}

/*---------- No button ----------*/

button.no {
    background-image: linear-gradient(90deg, #cfcfcf, #c1c1c1);
    font-family:'Montserrat', Arial, Helvetica, sans-serif;
    color: rgba(255, 255, 255, 0.9);
}

/*--------- Double Buttons ---------*/

.button-column {
    width: 50%;
    float: left;
    box-sizing: border-box;
}

.no-column {
    padding-right: 5px;
    width: 30%;
}

.yes-column {
    padding-left: 5px;
    width: 70%;
}

/*---------- Login button ----------*/

body.profile button.btn.login {
    display: none;
}

button.btn.login {
    max-width: 540px;
    border-radius: 0;
    font-size: 1.2rem;
    font-weight: 400;
    color: #CCC;
    background: transparent;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.1) 50%, rgba(255, 255, 255, 0) 100%);
    margin-bottom: 30px;
}

/*--------- Button Animations ---------*/

@keyframes button {

    0% {
        width: 0%;
        margin-left: 0%;
        opacity: 0;
    }
    10% {
        opacity: 1;
    }

    30% {
        width: 106%;
        margin-left: -3%;
    }

    60% {
        width: 90%;
        margin-left: 0%;
    }

    90% {
        width: 102%;
        margin-left: -1%;
    }

    100% {
        width: 100%;
        margin-left: 0%;
        opacity: 1;
    }
}

@keyframes no {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.button-show {
    animation: button 0.8s ease-in-out forwards;
}

.no-show {
    animation: no 0.8s ease-in-out forwards;
}

/* -----------------------------------
	Questions
--------------------------------------------------------------------------------------------- */

.questions-count,
.info-count {
    position: relative;
    padding: 20px 0 0;
}

.number-wrapper {
    float: left;
    width: 25%;
    position: relative;
}

.question-number {
    position: relative;
    background: #BFBFBF;
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 28px;
    border-radius: 20px;
    font-size: 1rem;
    font-weight: 700;
    z-index: 20;
    color: rgba(255, 255, 255, 0.9);
}

.questions-count .active .question-number {
    background: #af527c;
    color: #FFF;
}

.connectors {
    position: absolute;
    z-index: 10;
    top: 33px;
    left: 12%;
    width: 76%;
}

.line {
    position: relative;
    float: left;
    width: calc( 33.33% - 20px );
    height: 6px;
    background: #BFBFBF;
    margin: 0 10px;
}

.progress {
    position: absolute;
    background: #af527c;
    width: 0;
    height: 100%;
}

.questions-content {
    display: none;
}

.questions-content:first-of-type {
    display: block;
}

/*--------- Questions Animations --------*/

@-webkit-keyframes number {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
        background: #DFDFDF;
        color: rgba(255, 255, 255, 0.8);
    }
    30% {
        -webkit-transform: scale(1.1);
                transform: scale(1.1);
    }
    70% {
        -webkit-transform: scale(0.9);
                transform: scale(0.9);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
        background: #af527c;
        color: #FFF;
    }
}

@keyframes number {
    0% {
        -webkit-transform: scale(1);
                transform: scale(1);
        background: #DFDFDF;
        color: rgba(255, 255, 255, 0.8);
    }
    30% {
        -webkit-transform: scale(1.1);
                transform: scale(1.1);
    }
    70% {
        -webkit-transform: scale(0.9);
                transform: scale(0.9);
    }
    100% {
        -webkit-transform: scale(1);
                transform: scale(1);
        background: #af527c;
        color: #FFF;
    }
}

@-webkit-keyframes progress {
    from {
        width: 0%;
    }
    to {
        width: 100%;
    }
}

@keyframes progress {
    from {
        width: 0%;
    }
    to {
        width: 100%;
    }
}

.number-focus {
    -webkit-animation: number 0.8s ease-in-out forwards;
            animation: number 0.8s ease-in-out forwards;
}

.progress.active {
    -webkit-animation: progress 0.4s ease-out forwards;
            animation: progress 0.4s ease-out forwards;
}

/* -----------------------------------
	Checklists and Form Questions
--------------------------------------------------------------------------------------------- */

.check-list,
.form-questions {
    width: 100%;
    margin: 20px auto 0;
}

button.checklist-item,
button.question-item,
button.item  {
    width: 100%;
    border: 0;
    border-radius: 30px;
    font-size: 1rem;
    background-color: #eee;
    margin: 0 0 7px;
    padding: 0;
    height: 34px;
}

button.checklist-item:last-of-type,
button.question-item:last-of-type,
button.item:last-of-type {
    margin-bottom: 0;
}

button.checklist-item:hover,
button.question-item:hover,
button.item:hover  {
    background-color: #ccc;
}

button.active,
button.active:focus {
    background-color: #b7b7b7;
}

/* -----------------------------------
	Form Questions - data step 11
--------------------------------------------------------------------------------------------- */

@keyframes error {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.07);
    }
    100% {
        transform: scale(1);
    }
}

p.choose.err {
    color: #8a2109;
    animation: error 0.5s ease forwards;
}

.step-logo {
    padding: 5% 5% 0;
    border-radius: 28px 28px 0 0;
}

.step-logo::after {
    content: "";
    display: block;
    width: 100%;
    border-bottom: 3px solid #e0e0e0;
    margin-top: 5%;
}

.step-logo img {
    display: block;
    width: 60%;
    max-width: 160px;
    margin: 0 auto;
}

select {
    padding: 0 10px;
    width: 100%;
    height: 40px;
    font-size: 0.8rem;
    border: none;
    background: #f5f5f5;
    border-top: 4px solid #bfbfbf;
    border-right: 1px solid #bfbfbf;
    border-bottom: 1px solid #bfbfbf;
    border-left: 1px solid #bfbfbf;
    border-radius: 10px;

    -webkit-appearance: none;
       -moz-appearance: none;
        -ms-appearance: none;
         -o-appearance: none;
            appearance: none;
}

/*----- For IE -----*/
select::-ms-expand {
    display: none;
}

input,
textarea {
    width: 100%;
    padding: 15px;
    border: none;
    font-size: 0.8rem;
    margin-bottom: 10px;
    background: #f5f5f5;
    border-top: 4px solid #bfbfbf;
    border-right: 1px solid #bfbfbf;
    border-bottom: 1px solid #bfbfbf;
    border-left: 1px solid #bfbfbf;
    border-radius: 10px;
    box-sizing: border-box;
    transition: all .5s ease;
}

input:focus {
    outline-color: #f389b8;

}

input {
    height: 40px;
}

textarea {
    height: 60px;
}

input.err,
textarea.err,
select.err {
    border-top: 4px solid #8a2109;
    border-right: 1px solid #8a2109;
    border-bottom: 1px solid #8a2109;
    border-left: 1px solid #8a2109;
    background: rgba(205, 63, 44, 0.15);
    animation: error 0.5s ease forwards;
}

label {
    display: block;
    margin-bottom: 5px;
}

.profile-content label {
    font-weight: 700;
}

/*----------- Select Gender -----------*/
/*----------- Username and Password -----------*/
/*----------- Email -----------*/

.p_i_am_p,
#displayName,
.pwd_p,
.email_p {
    position: relative;
    text-align: left;
}

.p_i_am_p b,
#displayName b,
.pwd_p b {
    display: block;
    padding: 0 0 5px;
}

.p_i_am_p::after,
.p_bday .cd::after,
p.marital_status .cd::after,
p.body_type .cd::after,
p.race .cd::after,
.stepM22 .cd:nth-child(even)::after,
.stepM25 .cd:nth-child(even)::after,
.stepM26 .cd:nth-child(even)::after,
.stepM32 .cd::after {
    position: absolute;
    bottom: 7px;
    right: 15px;
    font-family: "Font Awesome 5 Free";
    font-size: 1rem;
    font-weight: 900;
    content: "\f107";
}

p.p_i_am_p {
    margin-bottom: 0;
}

#display_pass.sub {
    margin-bottom: 0;
}

/*----------- Birthday -----------*/

p.p_bday {
    margin-bottom: 0;
}

.email_p b,
.p_bday b {
    display: none;
}

.p_bday .cd {
    position: relative;
    display: block;
    float: left;
    width: 33.33%;
    margin: 0;
    box-sizing: border-box;
}

.p_bday .cd:nth-of-type(2) {
    padding: 0 4px;
}

.p_bday::after {
    content: "";
    display: block;
    clear: both;

}

/*----------- Location -----------*/

.stepM31.error {
    font-size: 0.8rem;
    font-weight: 700;
    background: rgba(205, 63, 44, 0.2);
    margin-top: 20px;
    padding: 14px 10px;
    line-height: 1.5;
    border-radius: 10px;
    color: #000;
}

.stepM31.error,
.city-error,
.state-error,
.zip-error {
    display: none;
}

.stepM31.error.active,
.city-error.active,
.state-error.active,
.zip-error.active {
    display: block;
}

body.error .stepM31.error.active {
    display: none;
}

/*----------- Date's Age -----------*/
/*----------- Date's Height -----------*/
/*----------- Date's Weight -----------*/

.row {
    display: flex;
}

.row .col {
    box-sizing: border-box;
    width: 50%;
}

.row .col:first-of-type {
    padding: 0 3% 0 0;
}

.row .col:last-of-type {
    padding: 0 0 0 3%;
}

.cd {
    position: relative;
}

/*----------- Your Height -----------*/

.stepM32 .cd {
    position: relative;
    display: inline-block;
    width: 100%;
}

/*----------- Username and Password -----------*/

@keyframes message {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

#displayName p,
p.pwd_p {
    margin-bottom: 0;
}

/*----- default message -----*/
#display_login.sub {
    margin-bottom: 20px;
}

#display_login.sub,
#display_pass.sub {
    font-size: 0.65rem;
    text-align: center;
}

/* ----- error message -----*/
#display_login.sub #e {
    font-size: 0.8rem;
    font-weight: 700;
    background: rgba(205, 63, 44, 0.2);
    padding: 14px 10px;
    line-height: 1.5;
    border-radius: 10px;
    animation: message 0.4s ease-out forwards;
    color: #c00000;
}

#display_login.sub #e .alt_logins {
    color: #000;
}

#display_login.sub #e u {
    display: block;
    font-size: 1.2rem;
    padding: 5px 0 0 0;
    color: #016294;
    cursor: pointer;
}

/*----------- EMail -----------*/

p.stepM11 {
    font-size: 1rem;
}

/*----------- Terms -----------*/

.content p.agree {
    font-size: 0.5rem;
    text-align: left;
    line-height: 1.3;
    opacity: 0.6;
}

.content p.agree a {
    color: inherit;
    font-weight: bold;
}

/* -----------------------------------
    Loader
--------------------------------------------------------------------------------------------- */

@keyframes loaded {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

h1.saving {
    position: absolute;
    width: 100%;
    left: 0;
}

h1.thank-you,
.loaded {
    opacity: 0;
}

.loading {
    position: absolute;
    width: 100%;
    height: calc( 100% - 50px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader {
    border: 10px solid #e5e5e5;
    border-top: 10px solid #f389b8;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1.2s linear infinite;
}

.done {
    animation: loaded 0.8s ease forwards;
}

 /* -----------------------------------
     Profile page
 --------------------------------------------------------------------------------------------- */

body.profile {
    background: #383838;
}

header.profile-header {
    display: none;
    visibility: hidden;
}

body.profile header.profile-header {
    display: block;
    visibility: visible;
}

header.profile-header .header-logo img {
    display: block;
    margin: 0 auto;
    width: auto;
    max-height: 20px;
}

header.profile-header .header-logo {
    background-color: #FFF;
    padding: 10px 0;
}

/*----- Profile Step Headings -----*/

body.profile div[data-step="11"] {
    border-radius: 20px;
}

.pstep-heading {
    display: none;
}

body.profile .pstep-heading {
    display: block;
    padding: 5% 5% 0;
}

body.profile .ds8sm20 .pstep-heading,
body.profile .ds8sm30 .pstep-heading,
body.profile .ds8sm33 .pstep-heading,
body.profile .ds8sm40 .pstep-heading {
    display: none;
}

body.profile .pstep-heading h1 {
    font-size: 0.9rem;
    line-height: 0.9rem;
    color: #3b3b3b;
}

.pstep-heading::after {
    content: "";
    display: block;
    width: 100%;
    border-bottom: 3px solid #e0e0e0;
    margin-top: 5%;
}

body.profile .check-list,
body.profile .form-questions {
    margin-top: 0;
}

/*----- Address -----*/

.addr_p::after {
    content: "";
    display: block;
    clear: both;
}

kbd.state,
kbd.zip {
    display: block;
    float: left;
    width: 50%;
    box-sizing: border-box;
}

kbd.state {
    padding-right: 15px;
}

kbd.zip {
    padding-left: 15px;
}

.address_b {
    display: none;
}

.addr.zip input {
    margin-bottom: 0;
}

kbd.addr.city,
kbd.addr.state,
kbd.addr.zip {
    font-family: inherit;
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

/*----- About -----*/

p.pr_Headline_p {
    position: relative;
}

p.pr_Headline_p strong {
    display: block;
    color: #444;
    margin-bottom: 5px;
}

p.pr_Headline_p br {
    display: none;
}

p.about_p {
    position: relative;
    margin-bottom: 0;
}

p.about_p strong {
    color: #444;
}

.about_p br {
    display: none;
}

p.p_mobile {
    margin-bottom: 0;
}
.about_p .small_one,
.p_mobile .smallText {
    display: block;
    margin-bottom: 5px;
}

p.p_mobile a {
    color: inherit;
    font-weight: bold;
}

input.about {
    margin-bottom: 0;
}

[name='general_info'] {
    margin-bottom: 0;
}

.headline-count,
.about-count {
    display: none;
}

body.profile .headline-count,
body.profile .about-count {
    position: absolute;
    display: block;
    font-size: 0.875rem;
    top: -3px;
    right: 0;
}

/*----- Marital, Body, Race -----*/

.marital_status b,
.body_type b,
.race b {
    display: block;
    margin-bottom: 5px;
}

p.race {
    margin-bottom: 0;
}

/*----- Mobile Number -----*/

input.mobile {
    margin-bottom: 10px;
}

/* -----------------------------------
	Profile Progress
--------------------------------------------------------------------------------------------- */

@keyframes completed40 {
    from {
        width: 0%;
    }
    to {
        width: 40%;
    }
}

@keyframes completed70 {
    from {
        width: 40%;
    }
    to {
        width: 75%;
    }
}

@keyframes completed100 {
    from {
        width: 75%;
    }
    to {
        width: 100%;
    }
}

@keyframes stepstart {
    0% {
        transform: scale(1);
        background: #000;
    }
    30% {
        transform: scale(1.1);
    }
    70% {
        transform: scale(0.9);
    }
    100% {
        transform: scale(1);
        background: #dd6fa1;
    }
}

.profile-header .create {
    text-align: center;
    color: #FFF;
    font-family: "Montserrat", Arial, Helvetica, sans-serif;
    font-size: 0.875rem;
    padding: 7px 0;
    margin-bottom: 10px;
    background: #dd6fa1;
}

.profile-step {
    position: relative;
    float: left;
    width: 33%;
    height: 30px;
    text-align: center;
    font-size: 0.7rem;
    font-weight: 700;
    color: #FFF;
    transition: all .5s ease;
}

.indicator {
    position: absolute;
    top: 27px;
    left: 50%;
    width: 16px;
    height: 16px;
    margin-left: -8px;
    background: #000;
    border-radius: 16px;
    z-index: 20;
}

.registration {
    width: 24%;
}

.registration .indicator {
    left: 0;
    margin-left: 15px;
}

.complete {
    width: 10%;
}

.complete .indicator {
    left: auto;
    right: 0;
    margin-left: auto;
    margin-right: 15px;
}

.profile-bar {
    position: relative;
    width: calc( 100% - 40px );
    height: 4px;
    margin: 3px auto 0;
    background-color: #000;
    border-radius: 8px;
    clear: both;
}

.profile-progress .active {
    color: #dd6fa1;
}

.profile-progress .active .indicator {
    animation: stepstart 0.4s ease forwards;
}

.profile-progress::after {
    content: "";
    display: block;
    clear: both;
}

.profile-completed {
    position: absolute;
    width: 0%;
    height: 100%;
    background-color: #dd6fa1;
    border-radius: 8px;
    transition: all .5s ease;
    z-index: 10;
}

.completed40 {
    animation: completed40 0.4s ease forwards;
}

.completed70 {
    animation: completed70 0.4s ease forwards;
}

.completed100 {
    animation: completed100 0.4s ease forwards;
}

/*----- Address Error -----*/

body.error .registration,
body.error .your-date,
body.error .yourself {
    color: #dd6fa1;
}

body.error .registration .indicator,
body.error .your-date .indicator,
body.error .yourself .indicator  {
    background-color: #dd6fa1;
}

body.error .profile-completed {
    width: 75%;
}

body.error br:last-of-type {
    display: block;
}

/* -----------------------------------
	Footer
--------------------------------------------------------------------------------------------- */

footer,
.footer-info {
    display: none;
}

html, body {
    height: 100%;
}

/*--- Sticky Footer --*/

.site-wrapper {
    display: block;
    float: left;
    width: 100%;
    height: calc( 100% - 80px );
}

body.profile .site-wrapper {
    height: calc( 100% - 120px );
    min-height: 760px;
}

body.profile.error .site-wrapper {
    min-height: 930px;
}

footer {
    position: relative;
    z-index: 200;
    display: block;
    float: left;
    width: 100%;
    height: 120px;
    box-sizing: border-box;
    text-align: center;
    overflow: hidden;
    padding: 20px 10px;
    z-index: 200;
}

body br:last-of-type {
    display: none;
}

/*----- Stage 1 Specific -----*/

body.first .site-wrapper {
    min-height: 460px;
}

body.fix-issue .site-wrapper {
    min-height: 720px;
}

body.first footer {
    height: auto;
}

/*----- Profile page footer -----*/

.profile-footer .footer-info {
    display: block;
}

.profile-footer {
    background: #121212;
}

body.profile .footer-info {
    display: block;
}

footer p {
    color: rgba(255, 255, 255, 0.3);
    font-size: 0.5rem;
    line-height: 1.5;
    margin: 10px 0 20px;
}

footer a {
    color: inherit;
    text-decoration: none;
    display: inline;
    margin: 0 2px;
}

.credit img {
    display: inline-block;
    margin: 0 20px;
    max-height: 40px;
}

footer p.fine_terms {
    margin-bottom: 0;
}

/* -----------------------------------
	Issues
--------------------------------------------------------------------------------------------- */

p.sh00 {
    display: none;
    font-weight: 700;
}

.issue .step-logo,
.issue .info-count {
    display: none;
}

.step.show.issue button.btn.next {
    width: 100%;
    opacity: 1;
}

.msg #e {
    font-size: 0.8rem;
    font-weight: 700;
    background: rgba(205, 63, 44, 0.2);
    padding: 20px;
    line-height: 1.5;
    border-radius: 10px;
    margin-bottom: 20px;
}

.msg #e li {
    list-style: none;
}

.issue p.p_i_am_p,
.issue p#display_pass,
.issue p.p_bday  {
    margin-bottom: 20px;
}

.issue p.p_bday b,
.issue b.email_b {
    display: block;
    text-align: left;
}

.issue input[name="email"],
.issue p.email_p {
    margin-bottom: 0;
}

/* -----------------------------------
	Helpers
--------------------------------------------------------------------------------------------- */

.clearfix::after {
    content: "";
    display: block;
    clear: both;
}

#deb_foot {
    display: none;
}

/* -----------------------------------
	Media Queries
--------------------------------------------------------------------------------------------- */

@media (min-width: 360px) {

    /* Site Wrapper */

    body.first .site-wrapper {
        min-height: 600px;
    }

    body.fix-issue .site-wrapper {
        min-height: 800px;
    }

    .content p {
        font-size: 1.10rem;
    }
    #display_login.sub,
    #display_pass.sub {
        font-size: 0.7rem;
    }

    /*----- Profile Page -----*/
    body.profile .container {
        margin: 40px auto;
    }

}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {

    /* Site Wrapper */

    body.first .site-wrapper {
        min-height: 820px;
    }

    body.fix-issue .site-wrapper {
        min-height: 940px;
    }

    .container {
        margin: 40px auto;
    }

    .scroll-wrapper {
        animation: scroll 20s linear infinite;
    }

    .heading h1 {
        font-size: 1.25rem;
    }

    .content h2 {
        font-size: 2.5rem;
        line-height: 2.5rem;
        margin: 10px 0 20px;
    }

    /* Global button style */
    button.btn {
        font-size: 1.4rem;
        height: 70px;
        line-height: 70px;
    }

    button.next i,
    button.yes i {
        line-height: 67px;
    }

    .profile-step {
        font-size: 0.85rem;
    }
    input,
    textarea {
        font-size: 1rem;
    }
    #display_login.sub,
    #display_pass.sub {
        font-size: 1rem;
    }

    /*-- Checklists and Form Questions --*/
    button.checklist-item,
    button.question-item,
    button.item  {
        font-size: 1.25rem;
        margin: 0 0 10px;
        height: 50px;
    }

    .content h2.stepM11 {
        font-size: 2rem;
        line-height: 2rem;
    }

    h3.stepM11 {
        font-size: 1.5rem;
    }

    input {
        height: 60px;
        padding: 20px;
    }

    select {
        padding: 0 20px;
        height: 60px;
        font-size: 1rem;
    }

    .p_i_am_p::after,
    .p_bday .cd::after,
    p.marital_status .cd::after,
    p.body_type .cd::after,
    p.race .cd::after,
    .stepM22 .cd:nth-child(even)::after,
    .stepM25 .cd:nth-child(even)::after,
    .stepM26 .cd:nth-child(even)::after,
    .stepM32 .cd::after {
        bottom: 17px;
    }

    textarea {
        height: 100px;
        padding: 20px;
    }

    /*-- Loading --*/

    .loading {
        height: calc( 100% - 90px);
    }

    /*-- Profile --*/

    body.profile .container {
        margin: 20px auto;
    }

    header.profile-header .header-logo img {
        max-height: 30px;
    }

    body.profile .pstep-heading h1 {
        font-size: 1.2rem;
        line-height: 1.2rem;
    }

    header.profile-header .header-logo {
        padding: 20px 0;
    }

    .profile-header .create {
        font-size: 1.2rem;
        padding: 10px 0;
        margin-bottom: 15px;
    }

    .indicator {
        position: absolute;
        width: 24px;
        height: 24px;
    }

    .profile-bar {
        height: 8px;
        margin: 5px auto 0;
    }

    /*----- About ----- */

    .headline-count,
    .about-count {
        top: 5px;
    }

    /*----- Footer -----*/

    footer p {
        font-size: 0.7rem;
    }

    /*----- Issues -----*/

    .msg #e {
        font-size: 1rem;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    /* Site Wrapper */

    body.first .site-wrapper {
        min-height: 860px;
    }

    body.fix-issue .site-wrapper {
        min-height: 980px;
    }

    .step {
        width: calc( 100% - 200px );
        margin: 0 100px;
    }
    .step-background {
        margin-bottom: 40px;
    }
    .scroll-wrapper {
        animation: scroll 40s linear infinite;
    }
    .background .girl {
        width: calc( 25% - 8px );
    }

    .profile-step {
        font-size: 1rem;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .step {
        width: calc( 100% - 20px );
        margin: 0 10px;
    }
    .scroll-wrapper {
        animation: scroll 60s linear infinite;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .scroll-wrapper {
        animation: scroll 80s linear infinite;
    }
    .background .girl {
        width: calc( 20% - 8px );
    }
}
